Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Base\Exceptions\LimitationValidationException Class Reference

This Exception is thrown on create, update or assign policy or role when one or more given limitations are not valid. More...

Inheritance diagram for eZ\Publish\Core\Base\Exceptions\LimitationValidationException:

## Public Member Functions
| __construct (array $errors)
| Generates: Limitations did not validate. More...
| getLimitationErrors ()
| Returns an array of limitation ValidationError objects. More...
Public Member Functions inherited from eZ\Publish\Core\Base\Translatable
| getMessageTemplate ()
| Returns the message template, with placeholders for parameters. More...
| setMessageTemplate ($messageTemplate)
| Injects the message template. More...
| getParameters ()
| Returns a hash map with param placeholder as key and its corresponding value. More...
| setParameters (array $parameters)
| Injects the hash map, with param placeholder as key and its corresponding value. More...
| addParameter ($name, $value)
| Adds a parameter to existing hash map. More...
| addParameters (array $parameters)
| Adds $parameters to existing hash map. More...
| getBaseTranslation ()
| Returns base translation, computed with message template and parameters. More...

## Protected Attributes
| $errors

## Detailed Description

This Exception is thrown on create, update or assign policy or role when one or more given limitations are not valid.

Definition at line 17 of file Core/Base/Exceptions/LimitationValidationException.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Base\Exceptions\LimitationValidationException::__construct | ( | array | $errors | ) |

Generates: Limitations did not validate.

Also sets the given $errors to the internal property, retrievable by getValidationErrors()

Parameters

  \eZ\Publish\Core\FieldType\ValidationError[] | $errors |

Definition at line 35 of file Core/Base/Exceptions/LimitationValidationException.php.

References eZ\Publish\Core\Base\Exceptions\LimitationValidationException\$errors, eZ\Publish\Core\Base\Translatable\getBaseTranslation(), and eZ\Publish\Core\Base\Translatable\setMessageTemplate().

## Member Function Documentation

## ◆ getLimitationErrors()

eZ\Publish\Core\Base\Exceptions\LimitationValidationException::getLimitationErrors | ( |  | ) |

Returns an array of limitation ValidationError objects.

Returns
  \eZ\Publish\Core\FieldType\ValidationError[]

Reimplemented from eZ\Publish\API\Repository\Exceptions\LimitationValidationException.

Definition at line 47 of file Core/Base/Exceptions/LimitationValidationException.php.

References eZ\Publish\Core\Base\Exceptions\LimitationValidationException\$errors.

## Member Data Documentation

## ◆ $errors

eZ\Publish\Core\Base\Exceptions\LimitationValidationException::$errors
| protected

Definition at line 26 of file Core/Base/Exceptions/LimitationValidationException.php.

Referenced by eZ\Publish\Core\Base\Exceptions\LimitationValidationException\__construct(), and eZ\Publish\Core\Base\Exceptions\LimitationValidationException\getLimitationErrors().

The documentation for this class was generated from the following file:

- Core/Base/Exceptions/LimitationValidationException.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.